ObjectType (Apache Geode 1.15.4)

org.apache.geode.cache.query.types

## Interface ObjectType

- All Superinterfaces:
    DataSerializable, Serializable
  All Known Subinterfaces:
    CollectionType, MapType, StructType

      public interface ObjectType
      extends DataSerializable

  An ObjectType represents the type of an object in a query. An ObjectType is similar to a Class, except unlike a Class it can be extended to add more information such as a subtype for collection Classes, a key type for a map class, or a field information for structs. Note that multiple instances of are allowed of the same type, so ObjectTypes should always be compared using equals.
  Since:
    GemFire 4.0
  See Also:
    `StructType`, `CollectionType`, `MapType`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSimpleClassName()`
    `boolean` | `isCollectionType()` Return true if this is a CollectionType.
    `boolean` | `isMapType()` Return true if this is a MapType
    `boolean` | `isStructType()` Return true if this is a StructType
    `Class` | `resolveClass()`

    - ### Methods inherited from interface org.apache.geode.DataSerializable

      `fromData, toData`

- - ### Method Detail

    - #### isCollectionType

          boolean isCollectionType()

      Return true if this is a CollectionType. Note that MapTypes, Region types, and array types are also considered CollectionTypes in the context of the query language and therefore return true to this method.
      Returns:
        whether this is a CollectionType

    - #### isMapType

          boolean isMapType()

      Return true if this is a MapType
      Returns:
        whether this is a MapType

    - #### isStructType

          boolean isStructType()

      Return true if this is a StructType
      Returns:
        whether this is a StructType

    - #### getSimpleClassName

          String getSimpleClassName()

      Returns:
        the simple name for the class this resolves to without including the package

    - #### resolveClass

          Class resolveClass()

      Returns:
        the Class that this type corresponds to.